%define oname   markaby

Name:       ruby-%{oname}
Version:    0.7.1
Release:    %mkrel 1
Summary:    Markup as Ruby, write HTML in your native Ruby tongue
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://markaby.github.com/markaby/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(jeweler)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Tim Fletcher and _why's ruby driven HTML templating system

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/VERSION
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -fVERSION

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 0.7.1-1.mga1
+ Revision: 51148
- imported package ruby-markaby


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.7.1-1
- Initial package
